<?php
    require_once("./include/class.intimail.php");
    
    if(!$intimail->CheckLogin()){
	header('Location: https://www.intimail.pw/login');
  	exit;
    }
    
    require_once("./include/class.mailparser.php");
    
    $from = filter_input(INPUT_POST, 'from');
    $id = filter_input(INPUT_POST, 'id');
    $pj = filter_input(INPUT_POST, 'pj');
    $queue = filter_input(INPUT_POST, 'q');
    $subject = filter_input(INPUT_POST, 'subject');
    $date = filter_input(INPUT_POST, 'date');
    $to = filter_input(INPUT_POST, 'to');
    $unixtime = filter_input(INPUT_POST, 'unixtime');
    
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>intiMail - Your mail, secure and simple.</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker3.css" rel="stylesheet">
    <link href="css/styles.css" rel="stylesheet">
    <link href="css/bootstrap-table.css" rel="stylesheet">

    <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
    <![endif]-->
</head>

<body>
    
    <?php include("include/overhead.php"); ?>
		
    <?php include("include/sidebar.php"); ?>
		
    <div id="content" class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">			
	<div class="row">
            <ol class="breadcrumb">
		<li><a href="/"><span class="glyphicon glyphicon-home"></span></a></li>
		<li class="active">Displaying an email</li>
            </ol>
	</div><!--/.row-->
        
        <div class="row">
            <div class="col-lg-12">
                <div class="panel-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">Subject : <?php echo $subject; ?></div>
                        <div class="panel-body">
                            From : <?php echo $from; ?><br>
                            To : <?php echo $to; ?><br>
                            Date : <?php echo $date; ?>
                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-heading">Message</div>
                        <div class="panel-body">
                            <?php
                                if($pj>0){ 
                                    echo "<b>Files attached :</b><br>";
                                    $content = scandir($path = "userdata/".$_SESSION['mailbox']."inbox/".$unixtime.".".$queue.".pj/");
                                    unset($content[0]);
                                    unset($content[1]);
                                    $content = array_values($content);
                                    for($i=0;$i<sizeof($content);$i++){
                                        echo "<a target='_blank' href='userdata/".$_SESSION['mailbox']."inbox/".$unixtime.".".$queue.".pj/".$content[$i]."'>".$content[$i]."</a>&nbsp;&nbsp;&nbsp;";
                                    }
                                    echo "<br><br>";
                                }
                                $path = "userdata/".$_SESSION['mailbox']."inbox/".$unixtime.".".$queue; 
                                $message = file_get_contents($path);
                                if($message==NULL){
                                    $path = "userdata/".$_SESSION['mailbox']."sent/".$unixtime.".".$queue; 
                                    $message = file_get_contents($path);
                                    if($message==NULL){
                                        $message = "Could not open email...! ";
                                    }
                                }
                                else { 
                                    $message = utf8_encode($message);
                                }
                                
                                echo $message;
                                
                                
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div><!--/.row-->	
    
    </div>	<!--/.main-->
        
    <script src="js/jquery-1.11.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/chart.min.js"></script>
    <script src="js/chart-data.js"></script>
    <script src="js/easypiechart.js"></script>
    <script src="js/easypiechart-data.js"></script>
    <script src="js/bootstrap-datepicker.js"></script>
    <script src="https://www.intimail.pw/js/bootstrap-table.js"></script>   
    
    
    <script>
        $(".active").removeClass('active');
        function selectView(path,view){
            $(".active").removeClass('active');
            $("#content").load(path);
            $("#"+view).addClass('active');
        }
    </script>
    
</body>

</html>
               
