<?php

    require_once("./include/class.intimail.php");
    
    if(!$intimail->CheckLogin()){
        header('Location: https://www.intimail.pw/login');
        exit;
    }

    ///////////////////////////////////////////////
    //           GETTING MAIL HEADERS            //
    ///////////////////////////////////////////////

    $from = filter_input(INPUT_POST, 'sender');
    $mail_to = filter_input(INPUT_POST, 'rcpt');
    $subject = filter_input(INPUT_POST, 'subject');
    $msg = filter_input(INPUT_POST, 'msg');
    $fullname = filter_input(INPUT_POST, 'fullname');
    $mailbox = filter_input(INPUT_POST, 'mailbox');
    
    ///////////////////////////////////////////////
    //        BEGINNING ATTACHMENT UPLOAD        //
    ///////////////////////////////////////////////
    
    if ($_POST["label"]) {
        $label = $_POST["label"];
    }
    
    $allowedExts = array("gif", "GIF", "jpeg", "JPEG", "jpg", "JPG", "png", "PNG", "pdf", "PDF", "zip", "ZIP");
    
    $temp = explode(".", $_FILES["file"]["name"]);
    $extension = end($temp);
    
    if ((($_FILES["file"]["type"] == "image/gif")
        || ($_FILES["file"]["type"] == "image/jpeg")
        || ($_FILES["file"]["type"] == "image/jpg")
        || ($_FILES["file"]["type"] == "image/pjpeg")
        || ($_FILES["file"]["type"] == "image/x-png")
        || ($_FILES["file"]["type"] == "application/pdf")
        || ($_FILES["file"]["type"] == "application/x-zip-compressed")
        || ($_FILES["file"]["type"] == "image/png"))
        && ($_FILES["file"]["size"] < $intimail->attachsize)         //(Default Max : 5 MB)
        && in_array($extension, $allowedExts)) {
            if ($_FILES["file"]["error"] > 0) {
                echo "Return Code: " . $_FILES["file"]["error"] . "<br>";
            } else {
                $filename = $label.$_FILES["file"]["name"];
                echo "Upload: " . $_FILES["file"]["name"] . "<br>";
                echo "Type: " . $_FILES["file"]["type"] . "<br>";
                echo "Size: " . ($_FILES["file"]["size"] / 1024) . " kB<br>";
                echo "Temp file: " . $_FILES["file"]["tmp_name"] . "<br>";

                if (file_exists("uploads/" . $filename)) {
                    echo $filename . " already exists. ";
                } else {
                    move_uploaded_file($_FILES["file"]["tmp_name"],"uploads/" . $filename);
                    echo "Stored in: " . "uploads/" . $filename;
                }
                $file_to_send = 1;
            }
        } else {
            echo "Invalid file : it's either too big, or not a supported extension.";
        }
        
///////////////////////////////////////////////////////////////////////////////
   
    $path = ini_get('upload_tmp_dir');
       
    $file = $path.$filename;
    $file_size = filesize($file);
    $handle = fopen($file, "r");
    $filecontent = fread($handle, $file_size);
    fclose($handle);

    $content = chunk_split(base64_encode($filecontent));
    $uid = md5(uniqid(time()));
    $name = basename($file);

    $eol = PHP_EOL;

    $header = "From: ".$fullname." <".$from.">".$eol;
    $header .= "MIME-Version: 1.0".$eol;
    if($file_to_send){
        $header .= "Content-Type: multipart/mixed; boundary=\"".$uid."\"";
    }
    else{
        $header .= "Content-Type: text/html; boundary=\"".$uid."\"";
    }
    
    
    //message
    if($file_to_send){
        $message = "--".$uid.$eol;
        $message .= "Content-Type: text/html; charset=ISO-8859-1".$eol;
        $message .= "Content-Transfer-Encoding: 8bit".$eol.$eol;
    }
    else{
        $message .= $eol."--".$uid.$eol;
        $message .= "Content-Type: text/html; charset=UTF-8".$eol.$eol;
    }
    $message .= $msg.$eol;
    
    //attachment
    if ($file_to_send){
        $message .= "--".$uid.$eol;
        $message .= "Content-Type: application/octet-stream; name=\"".$filename."\"".$eol;
        $message .= "Content-Transfer-Encoding: base64".$eol;
        $message .= "Content-Disposition: attachment".$eol.$eol;
        $message .= $content.$eol;
        $message .= "--".$uid."--";
    }
        
    $enveloppe = '-f'.$from;
    
    
    if (mail($mail_to, $subject, $message, $header,$enveloppe)){
        $attch = strval($file_to_send);
        $intimail->AddMail($message,$subject,$mail_to,$from,$attch,$mailbox);
        echo 'weeee';
        return "mail_success";
    }
    else{
        echo 'nooooh';
        return "mail_error";
    }
?>
